%plotting cooling circuit related outputs for electric drive compressor A/C model
maxtime = max(time1);

figure(31)
set(gcf,'position',[350 150 800 900]);
clf;
hh=subplot(5,1,1);
set(hh,'position',[0.08 0.84 0.88 0.13]);
plot(time1,velvehicle*100.,'k-','linewidth',2);
hold on;
plot(time1,rpm_compr,'r-','linewidth',2);
hold on;
plot(time1,mtotrefr*1e3,'c-','linewidth',2);
grid on;
axis([min(time1) maxtime 0 5000]);
legend('vehicle speed','compr. speed','tot.refr.mass [g]');
title('Vehicle speed (m/s) compressor Speed [RPM], and Total Refrigerant Mass');
ylabel('[m/s][RPM][kg]');

hh=subplot(5,1,2);
set(hh,'position',[0.08 0.64 0.88 0.13]);
plot(time1,power_compr/1e3,'g-','linewidth',2);
hold on;
plot(time1,-qwr_cond/1e3,'r-','linewidth',2);
hold on;
plot(time1,qwr_evap/1e3,'b-','linewidth',2);
grid on;
axis([min(time1) maxtime -5 15]);
title('Compressor Power, Heat outflow rate Condenser, Heat inflow rate Evaporator');
legend('compressor','condenser','evaporator');
ylabel('Power [kW]');

hh=subplot(5,1,3);
set(hh,'position',[0.08 0.44 0.88 0.13]);
plot(time1,power_blower,'b-','linewidth',2);
%plot([0,600],[32,32],'b-','linewidth',2);
hold on;
plot(time1,power_condfan,'r-','linewidth',2);
grid on;
axis([min(time1) maxtime 0 500.]);
title('Evaporator Blower and Condenser Fan Powers [W]');
legend('Blower','Fan');
ylabel('Power [W]');

hh=subplot(5,1,4);
set(hh,'position',[0.08 0.24 0.88 0.13]);
plot(time1,systplow/1e3,'b:','linewidth',2);
hold on;
plot(time1,1e2*ones(length(time1),1),'b-','linewidth',2);
hold on;
plot(time1,pdcompr/1e3,'r:','linewidth',2);
hold on;
plot(time1,35e2*ones(length(time1),1),'r-','linewidth',2);
grid on;
axis([min(time1) maxtime 0 4000]);
legend('P low','P low limit','P high','P high limit');
title('System low and high pressures, and their limits for compressor cutoff');
ylabel('Press.[kPa]');

hh=subplot(5,1,5);
set(hh,'position',[0.08 0.04 0.88 0.13]);
plot(time1,(tevap_target-273.16)*ones(length(time1),1),'b-','linewidth',2)
hold on;
plot(time1,tevapwall-273.16,'g-','linewidth',2)
hold on;
plot(time1,mdaout_evap(:,2)-273.16,'r-','linewidth',2);
grid on;
axtemp = axis;
axis([min(time1) maxtime -6 ceil(axtemp(4))]);
legend('Evap Wall Targ','Evap Wall','Tair exit');
title('Evaporator Downstream Air Temperature');
ylabel('Tempr.[deg C]');

xlabel('time [sec]');