%plotting cabin related outputs for electric drive compressor A/C model
maxtime = max(time1);

figure(41)
set(gcf,'position',[400 200 800 900]);
clf;

hh=subplot(4,1,1);
set(hh,'position',[0.1 0.79 0.85 0.18]);
plot(time1,htinsolar(:,1)/1e3,'r-','linewidth',2);
hold on;
plot(time1,htinsolar(:,2)/1e3,'g-','linewidth',2);
grid on;
axis([min(time1) maxtime -1 2]);
title('Solar Loads');
legend('to shell','to interior');
ylabel('HX rate [kW]');

hh=subplot(4,1,2);
set(hh,'position',[0.1 0.54 0.85 0.18]);
plot(time1,hx_cabinair(:,1)/1e3,'r-','linewidth',2);
hold on;
plot(time1,-hx_cabinair(:,3)/1e3,'g-','linewidth',2);
hold on;
plot(time1,hx_cabinair(:,2)/1e3,'b-','linewidth',2);
hold on;
plot(time1,(hx_cabinair(:,1)-hx_cabinair(:,3)+hx_cabinair(:,2))/1e3,'k-','linewidth',2);
grid on;
axis([min(time1) maxtime -2 5]);
title('Cabin Air Heat Transfer Rates');
legend('From Shell','From Interior','From Engine Comp','Summ');
ylabel('HX rate [kW]');

hh=subplot(4,1,3);
set(hh,'position',[0.1 0.29 0.85 0.18]);
plot(time1,ambient(:,2)-273.16,'k-','linewidth',2);
hold on;
plot(time1,pcabin(:,2)-273.16,'r-','linewidth',2);
hold on;
plot(time1,(ttarg_cabin-273.16)*ones(length(time1),1),'b-','linewidth',2);
hold on;
plot(time1,tcabinint-273.16,'g-','linewidth',2);
hold on;
plot(time1,tcabinshell-273.16,'g:','linewidth',2);
grid on;
axis([min(time1) maxtime 15 50]);
title('Ambient and Cabin Temperatures');
legend('Ambient','Cabin Actual','Cabin Target','Cabin Interior','Cabin Shell');
ylabel('Temperature [deg C]');

hh=subplot(4,1,4);
set(hh,'position',[0.1 0.04 0.85 0.18]);
plot(time1,pcabin(:,7)*100,'g-','linewidth',2);
hold on;
plot(time1,pcabin(:,6)/100,'c-','linewidth',2);
hold on;
plot(time1,recirc,'k-','linewidth',2);
grid on;
axis([min(time1) maxtime 0 3]);
title('Cabin Absolute and Relative Humidity, and Air Recirc');
legend('absolute*100','relative','Air Recirc');
ylabel('Fraction');
xlabel('time [sec]');