%Plot thermodynamic cycle for refrigerant on P-h diagram. 
tt=p_receiver(:,1);
n = length(tt);

load R134a_files/lookup_sat_vs_t02
n1 = length(psat);
temp1 = [psat,[n1:-1:1]'];
temp2 = sortrows(temp1,2);
pcyc_bound = [psat*100.;temp2(:,1)*100.];
temp3 = [ul+1e5*psat./rhol,[n1:-1:1]'];
temp4 = sortrows(temp3,2);
hcyc_bound = [ug+1e5*psat./rhog;temp4(:,1)]/1000.;

pcyc_cond1 = [p_condu(n,2),phvec_cond1(n,[2:1:nseg_cond1+1]),p_condm1(n,2)]/1000.;
hcyc_cond1 = [p_condu(n,5),phvec_cond1(n,[nseg_cond1+2:1:2*nseg_cond1+1]),p_condm1(n,5)]/1000.;
pcyc_cond2 = [p_condm1(n,2),phvec_cond2(n,[2:1:nseg_cond2+1]),p_receiver(n,2)]/1000.;
hcyc_cond2 = [p_condm1(n,5),phvec_cond2(n,[nseg_cond2+2:1:2*nseg_cond2+1]),p_receiver(n,5)]/1000.;
pcyc_orif = [p_receiver(n,2),p_evapu(n,2),p_evapu(n,2)]/1000.;
hcyc_orif = [p_receiver(n,5),q_orif(n,3)/q_orif(n,2),p_evapu(n,5)]/1000.;
pcyc_evap1 = [p_evapu(n,2),phvec_evap1(n,[2:1:nseg_evap1+1]),p_evapm1(n,2)]/1000.;
hcyc_evap1 = [p_evapu(n,5),phvec_evap1(n,[nseg_evap1+2:1:2*nseg_evap1+1]),p_evapm1(n,5)]/1000.;
pcyc_evap2a = [p_evapm1(n,2),phvec_evap2a(n,[2:1:nseg_evap2+1]),p_evapm2(n,2)]/1000.;
hcyc_evap2a = [p_evapm1(n,5),phvec_evap2a(n,[nseg_evap2+2:1:2*nseg_evap2+1]),p_evapm2(n,5)]/1000.;
pcyc_evap2b = [p_evapm1(n,2),phvec_evap2b(n,[2:1:nseg_evap2+1]),p_evapm2(n,2)]/1000.;
hcyc_evap2b = [p_evapm1(n,5),phvec_evap2b(n,[nseg_evap2+2:1:2*nseg_evap2+1]),p_evapm2(n,5)]/1000.;
pcyc_evap3 = [p_evapm2(n,2),phvec_evap3(n,[2:1:nseg_evap3+1]),p_evapm3(n,2)]/1000.;
hcyc_evap3 = [p_evapm2(n,5),phvec_evap3(n,[nseg_evap3+2:1:2*nseg_evap3+1]),p_evapm3(n,5)]/1000.;
pcyc_evap4 = [p_evapm3(n,2),phvec_evap4(n,[2:1:nseg_evap4+1]),p_evapd(n,2)]/1000.;
hcyc_evap4 = [p_evapm3(n,5),phvec_evap4(n,[nseg_evap4+2:1:2*nseg_evap4+1]),p_evapd(n,5)]/1000.;
pcyc_compr = [p_evapd(n,2),p_condu(n,2),p_condu(n,2)]/1000.;
hcyc_compr = [p_evapd(n,5),qd_compr(n,3)/qd_compr(n,2),p_condu(n,5)]/1000.;
figure(12)
clf;
semilogy(hcyc_bound,pcyc_bound,'k-','linewidth',2)
hold on;
semilogy(hcyc_compr,pcyc_compr,'m-','linewidth',2);
hold on;
semilogy(hcyc_cond1,pcyc_cond1,'r-','linewidth',2);
hold on;
semilogy(hcyc_cond2,pcyc_cond2,'r--','linewidth',2);
hold on;
semilogy(hcyc_orif,pcyc_orif,'c-','linewidth',2);
hold on;
semilogy(hcyc_evap1,pcyc_evap1,'b-','linewidth',2);
hold on;
semilogy(hcyc_evap2a,pcyc_evap2a,'b--','linewidth',2);
hold on;
semilogy(hcyc_evap2b,pcyc_evap2b,'b--','linewidth',2);
hold on;
semilogy(hcyc_evap3,pcyc_evap3,'b-.','linewidth',2);
hold on;
semilogy(hcyc_evap4,pcyc_evap4,'b:','linewidth',2);
hold on;
semilogy(p_condu(n,5)/1000.,p_condu(n,2)/1000.,'k-s');
hold on;
semilogy(p_condm1(n,5)/1000.,p_condm1(n,2)/1000.,'k-s');
hold on;
semilogy(p_receiver(n,5)/1000.,p_receiver(n,2)/1000.,'k-s');
hold on;
semilogy(p_evapu(n,5)/1000.,p_evapu(n,2)/1000.,'k-s');
hold on;
semilogy(p_evapm1(n,5)/1000.,p_evapm1(n,2)/1000.,'k-s');
hold on;
semilogy(p_evapm2(n,5)/1000.,p_evapm2(n,2)/1000.,'k-s');
hold on;
semilogy(p_evapm3(n,5)/1000.,p_evapm3(n,2)/1000.,'k-s');
hold on;
semilogy(p_evapd(n,5)/1000.,p_evapd(n,2)/1000.,'k-s');
grid on;
ylabel('Pressure [kPa]','fontsize',12);
xlabel('Specific Enthalpy [kJ/kg]','fontsize',12);
legend('mix boundary','compressor','cond1','cond2','orifice tube','evap1','evap2a','evap2b','evap3','evap4',2);
title('Thermodynamic Cycle on the P-h Diagram','fontsize',12);

