%File to define operating point for mechanical drive compressor A/C system. 
CoolSim_v84_mc_init              %Sets default value to all input parameters
load initstates                  %Initialization file equivalent to point66_mc16
setting_recirc = 0.95;           %set recirculated air fraction
setting_blower = 3.0;            %blower flow setting
setting_blend = 0.0;             %fraction of heater capacity applied to evaporator exit air
time_ambvstime = [0 1e5];        %time vector for ambient vs. time lookup tables
p_ambvstime = [101300. 101300.]; %ambient pressure vector for ambient pressure vs. time lookup table
t_ambvstime = [303.16 303.16];   %ambient temperature vector for ambient temperature vs. time lookup table
rh_ambvstime = [50. 50.];        %relative humidity [%] vector for ambient RH vs. time lookup table
time_rpmvstime = [0,    10000];  %time for rpm vs. time lookup table
rpm_rpmvstime =  [1600,  1600];  %compressor drive rpm for rpm vs. time lookup table
time_velvstime = [0 1e5];        %time vector for vehicle velocity vs. time lookup table
vel_velvstime = [20. 20.];       %velocity vector for vehicle velocity vs. time lookup table
time_solarintvstime = [0 1e5];         %time vector for solar heat rate to cabin interior vs. time lookup table
htin_solarintvstime = [300. 300.];     %solar heat rate for solar heat rate to cabin interior vs. time lookup table
time_solarshellvstime = [0 1e5];       %time vector for solar heat rate to cabin shell vs. time lookup table
htin_solarshellvstime = [1000. 1000.]; %solar heat rate for solar heat rate to cabin shell vs. time lookup table
htin_enginecomp = 0.0;           %Heat addition to cabin air from engine compartment
tairin_cond = 303.16;            %condenser incoming air temperature
time_fanonoffvstime = [0 1e5];   %time vector for fan on/off signal vs. time lookup table
onoff_fanonoffvstime = [1  1];   %onoff signal vector for fan on/off signal vs. time lookup table
pinit_cabin = 102000.;           %cabin initial pressure
tinit_cabin = 273.16+40.;        %cabin initial temperature
rhinit_cabin = 40.0;             %cabin initial relative humidity in percents
tinit_cabinint = 273.16+40.;     %cabin interior initial temperature
tinit_cabinshell = 273.16+35.;   %cabin shell initial temperature
ttarg_cabin = 293.;              %cabin desired temperature
out_decim = 50;                  %frequency of saving data in 'saveout' blocks
trun = 600.0;                    %length of simulation run
load velvstimeSC03;              %overwrite previous time_velvstime and vel_velvstime from m-file for SC03 cycle
load rpmvstimeSCO3;              %overwrite previous time_rpmvstime and rpm_rpmvstime from m-file for SC03 cycle
