% Demonstrate how to run the first 30 seconds of the SC03 cycle for mechanical drive compressor
% and control in several segments and plot results along the way.  First run Block 1, then run Block 2.

% Block 1:  Run this first with Block 2 commented out.  This block will run the first 30 seconds of the SC03 cycle
%           in a 10 second and a following 20 second segment. Also plot results on the way
point_mc01;              %load initializations/parameters
trun=10.0;                %set the length of the simulation
sim CoolSim_v84               %run the simulation model model_mc
plots_basic_mc;           %plot the cooling circuit specific output for the 0-10 sec simulation interval
reinit;                   %reinitialize the simulation states
if exist('segmentedrun.mat') delete segmentedrun.mat; end;   %delete any previous segmentedrun.mat file if it exist, so that new one is not appended to anything
record_segrun;            %save the plot output variables for t=0...10 sec to the file segmentedrun.mat
trun = 20.0;              %set the length of the continuation run
sim CoolSim_v84;              %run the simulation model for another 20 seconds
reinit;                   %reinitialize the simulation states
record_segrun;            %append the plot output variables for the t=10..30 sec sim to the t=0...10 sec already saved
plots_basic_mc            %plot the cooling circuit specific output for the 0-30 sec simulation interval
plots_cabin_mc            %plot the cabin specific output for the 0-30 sec simulation interval
plots_cycle               %plot the thermodynamic cycle at t=30 sec on the P-h space
movefile newinitstates.mat newinitstates_mc01a.mat; %rename reinitialization file for later use
movefile segmentedrun.mat segmentedrun_mc01a.mat;   %rename result file for later use

% %Block 2:  Uncomment this and comment Block 1 then run this file. It will reload previous results, plot it, 
% %          will add another 5 sec simulation and then plot again the results for the  entire 35 seconds
% point_mc01;                %load initializations/parameters
% load newinitstates_mc01a   %load the t=30 sec simulation states
% load segmentedrun_mc01a;   %load the t=0...30 sec data obtained in Segment 1
% plots_basic_mc              %plot the cooling circuit specific output for the 0-30 sec simulation interval
% plots_cabin_mc              %plot the cabin specific output for the 0-30 sec simulation interval
% trun=5.0;                   %set the length of the new simulation
% copyfile segmentedrun_mc01a.mat segmentedrun.mat;   %have the results of Segment 1 ready for appending another 5 sec results
% sim CoolSim_v84;                %run simulation model model_mc
% record_segrun;              %append the plot output variables for the t=30..35 sec sim to the t=0...30 sec already saved
% plots_basic_mc              %plot the cooling circuit specific output for the 0-35 sec simulation interval
% plots_cabin_mc              %plot the cabin specific output for the 0-35 sec simulation interval
% plots_cycle                 %plot the thermodynamic cycle at t=35 sec on the P-h space

